Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request POST \
--url https://api.spotflow.co/api/v1/tax-configurations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"taxName": "Stamp duty",
"taxType": "flat",
"rate": 100,
"currency": "NGN",
"regionId": 1,
"capAmount": 2000,
"thresholdAmount": 0
}
'import requests
url = "https://api.spotflow.co/api/v1/tax-configurations"
payload = {
"taxName": "Stamp duty",
"taxType": "flat",
"rate": 100,
"currency": "NGN",
"regionId": 1,
"capAmount": 2000,
"thresholdAmount": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
taxName: 'Stamp duty',
taxType: 'flat',
rate: 100,
currency: 'NGN',
regionId: 1,
capAmount: 2000,
thresholdAmount: 0
})
};
fetch('https://api.spotflow.co/api/v1/tax-configurations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 12,
"taxName": "VAT",
"taxType": "percentage",
"rate": 7.5,
"currency": "NGN",
"capAmount": 2000,
"thresholdAmount": 0,
"regionId": 1,
"regionName": "Nigeria",
"merchantName": "DEE LLC",
"status": "active",
"template": false,
"templateId": 1
}Create a new tax rule to an approved country. You can set this up as a fixed flat fee or a percentage-based charge.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Tax setting created successfully.
12
"VAT"
flat, percentage "percentage"
7.5
"NGN"
2000
0
1
"Nigeria"
"DEE LLC"
active, inactive "active"
false
1
